Get the shots where an asset is cast

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/assets/{asset_id}/cast-in

Get the shots and the assets that have this asset in their casting. A shot entry has shot_id, shot_name, sequence_name and episode_id. An asset entry has asset_id, asset_name and asset_type_name.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset

Responses

  • 200 application/json

    The list of shots and assets that cast the asset

    Hide response attributes Show response attributes object
    • id string(uuid)

      Shot unique identifier

    • name string

      Shot name

    • project_id string(uuid)

      Project identifier

    • sequence_id string(uuid)

      Sequence identifier

    • frame_in integer

      Frame in

    • frame_out integer

      Frame out

    • duration integer

      Shot duration in frames

  • 403

    You do not have access to this project, or you are a vendor without a task on this asset

  • 404

    The asset does not exist

GET /data/assets/{asset_id}/cast-in
curl -X GET "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/cast-in" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/cast-in"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "d57d91d7-f108-7998-d403-80786315f580",
    "name": "SH001",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "sequence_id": "e68e02e8-0219-8009-e514-918974260690",
    "frame_in": 100,
    "frame_out": 200,
    "duration": 100
  }
]